Skip to content

クリエイターのプロモーション商品 ​

概要 ​

クリエイターの uid を使用して、そのクリエイターがプロモーションしている商品を取得します。

エンドポイント ​

bash
POST /creator/v1/productList

リクエストボディ ​

フィールド型必須説明
filterobjectはいフィルターパラメータ
orderbyobjectいいえソートパラメータ
pageintegerいいえページ番号, デフォルト: 1
pagesizeintegerいいえ1ページあたりの件数, デフォルト: 10

filter オプション ​

フィールド型必須説明
uidstringはいクリエイターUID
daysstringいいえ期間, 例: [0, 7, 14, 28, 90]

orderby オプション ​

フィールド必須説明
units_soldいいえ商品の販売数(降順)
gmvいいえ商品のGMV(降順)
commission_rate_percentいいえコミッション率(降順)

orderby 形式: {"field": "units_sold", "order": "desc"}。指定しない場合、安定したページングのため product_id(降順)で並び替えられます。

リクエスト例 ​

bash
curl 'https://openapi.fastmoss.com/creator/v1/productList' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxxxxxxx' \
--data '{
    "filter": {
        "uid": "6893103660525831169",
        "days": 7
    },
    "orderby": {
        "field": "units_sold",
        "order": "desc"
    },
    # "orderby": {
    #     "field": "gmv",
    #     "order": "desc"
    # },
    # "orderby": {
    #     "field": "commission_rate_percent",
    #     "order": "desc"
    # },
    "page": 1,
    "pagesize": 10
}'

レスポンスボディ ​

data.total ​

結果の総数

data.list ​

フィールド型説明
product_idstring商品ID
uidstringクリエイターUID
seller_idstringセラーID
commission_rateintegerコミッション率
product_ratingstring商品評価
shop_titlestringショップ名
shop_avatarstringショップアバターURL
shop_units_countintegerショップ販売数
shop_gmvfloatショップGMV
titlestring商品タイトル
coverstring商品カバーURL
categoryarray[object]商品カテゴリ
real_pricestring商品価格
regionstring商品の地域
gmvfloat商品GMV
units_soldinteger商品販売数
l1_category_idintegerカテゴリレベル1 ID
l2_category_idintegerカテゴリレベル2 ID
l3_category_idintegerカテゴリレベル3 ID

レスポンス例 ​

json
{
  "code": 0,
  "msg": "success",
  "data": {
    "total": 8,
    "list": [
      {
        "product_id": "1729539239170312086",
        "uid": "6893103660525831169",
        "seller_id": "7494962456968727446",
        "commission_rate": 0,
        "product_rating": "0.0",
        "shop_title": "Twobakeboys",
        "shop_avatar": "https://s.500fd.com/tt_shop/6413a6ce066e4108a30e50d1033dac88~tplv-aphluv4xwc-resize-png:300:300.png",
        "shop_units_count": 23867,
        "shop_gmv": 607576.80,
        "title": "Pineapple tart 230g per bottle",
        "cover": "https://s.500fd.com/default/product_default.png",
        "category": [
            "Food & Beverages"
        ],
        "real_price": "S$15.00",
        "region": "SG",//product's region
        "gmv": 0,
        "units_sold": 0,
        "l1_category_id":24,//product's l1 category_id
        "l2_category_id":915336,//product's l2 category_id
        "l3_category_id":700553//product's l3 category_id
      }
     ]
 }
}